// Class ArrayIntList can be used to store a list of integers.
public class ArrayIntList {
    // TODO: replace these fields with your alternate design
    private int[] elementData;  // list of integers
    private int size;       // current number of elements in the list
	
    // Probably leave this line unchanged
    public static final int DEFAULT_CAPACITY = 10;

    // constructs an empty list of default capacity
    public ArrayIntList() {
        // Probably leave this unchagned
        this(DEFAULT_CAPACITY);
    }

    // constructs an empty list with the given capacity
    private ArrayIntList(int capacity) {
        if (capacity < 0) {
            throw new IllegalArgumentException("Capacity must be at least 0: " + capacity);
        }
        // TODO: replace with your alternate design
        elementData = new int[capacity];
    }

    // finds the index of the given value in the list, 
    // or returns -1 if not found
    public int indexOf(int value) {
        // TODO: replace with your alternate design
        for (int i = 0; i < size; i++) {
            if (elementData[i] == value) {
                return i;
            }
        }
        return -1;
    }

    // post: appends the given value to the end of the list
    public void add(int value) {
        // TODO: replace with your alternate design
        elementData[size] = value;
        size++;
    }  
}
